import * as i0 from '@angular/core';

declare class AXPNativeModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<AXPNativeModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<AXPNativeModule, never, never, never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<AXPNativeModule>;
}

declare global {
    interface Window {
        FlutterChannel?: {
            postMessage: (message: string) => void;
        };
    }
}
declare class AXPNativeService {
    private isDark;
    constructor();
    setDarkMode(isDarkMode: boolean): void;
    checkNetworkStatus(): void;
    getCurrentLocation(): void;
    setPreferredLanguage(language: string): void;
    openExternalLink(url: string): void;
    authenticateBiometric(): void;
    selectImageFromGallery(): void;
    selectImageFromCamera(): void;
    selectVideoFromGallery(): void;
    selectVideoFromCamera(): void;
    selectFile(): void;
    sendMessageToFlutter(message: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AXPNativeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AXPNativeService>;
}

export { AXPNativeModule, AXPNativeService };
